Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414666 - [xen] Guest with odd number disks doesn't restart when rebooting after online attaching a disk.
Summary: [xen] Guest with odd number disks doesn't restart when rebooting after online...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 08:03 UTC by Lin Liu
Modified: 2017-12-12 10:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:51:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Lin Liu 2017-01-19 08:03:00 UTC
Description of problem:
Start a guest with odd number disks, for example with 3 disks (xvda, xvdb, xvdc) including the boot image, then online attach a disk xvdd to this guest. Then reboot the guest, the guest stops but never starts again. Guest with only 1 boot image or with even number disks works OK with above steps.

Version-Release number of selected component (if applicable):
Host Fedora 25 with
4.8.15-300.fc25.x86_64
xen-4.7.1-6.fc25.x86_64

Guest RHEL7.3 with kernel:
kernel-3.10.0-514.el7.x86_64

How reproducible: Always

Steps to Reproduce:
1. Create a guest on Fedora xen-4.7 host using command "xl create xen-hvm-guest.cfg" with below configuration:
[root@dhcp-9-56 ~]# cat xen-hvm-7u3.cfg
name = "xen-hvm-7-3"
builder = "hvm"
kernel = "/usr/lib/xen/boot/hvmloader"
memory = 2048
maxmem = 2048
vcpus = 2
boot = "c"
on_poweroff = "destroy"
on_reboot = "restart"
on_crash = "preserve"
pae = 1
acpi = 1
apic = 1
localtime = 0
device_model = "/usr/lib64/xen/bin/qemu-dm"
disk = ['file:/home/RHEL-Server-7.3-64-hvm.raw,xvda,w','file:/root/test1.img,xvdb,w','file:/root/test2.img,xvdc,w']
vif = ['mac=00:09:FD:77:50:00,bridge=xenbr0']
vnc = 1
vncunused = 1
vnclisten = "0.0.0.0"
sdl = 0
serial = "pty"
soundhw = "es1370"

2. Online attach a disk to this guest with command:
   # xl block-attach <domain ID> file:/home/test3.img xvdd

3. Login to console and check there are four disks xvda, xvdb, xvdc, xvdd and they all works well.

4. Reboot the guest with "xl reboot <domain ID>" or reboot in the guest. Check the guest status with xl list command.


Actual results:
Guest doesn't restart nor crash or panic. Only domain 0 exists with command "xl list". There doesn't any error log either.

Expected results:
Guest reboots.

Additional info:
1. If there isn't step 2, online attaching a disk, the guest can restart as normal.
2. Guest with only boot image or even number of disks also restart normally with these steps.
3. The bug cannot be reproduced on RHEL5.11 Host. This bug isn't related the guest version.
4. Here is the logs, domain 23 is the guest rebooting without online attaching disk, domain 24 is the guest online attaching disk, which doesn't restart.
   The only difference is the rebooting process.

[root@dhcp-9-56 ~]# cat /var/log/xen/qemu-dm-xen-hvm-7-3.log
domid: 24
Using xvda for guest's hda
Using file /home/RHEL-Server-7.3-64-hvm.raw in read-write mode
Using xvdb for guest's hdb
Using file /home/test.img in read-write mode
Using xvdc for guest's hdc
Using file /home/test1.img in read-write mode
Using xvdd for guest's hdd
Using file /home/test2.img in read-write mode
Using xvde for guest's hde
qemu: drive `xvde' out of range
Watching device-model/24/logdirty/cmd
Watching device-model/24/command
Watching /local/domain/24/cpu
char device redirected to /dev/pts/2
qemu_map_cache_init nr_buckets = 10000 size 4194304
shared page at pfn feffd
buffered io page at pfn feffb
Guest uuid = 017f3863-7fd2-48f0-8be3-b945b90d37b2
populating video RAM at ff000000
mapping video RAM from ff000000
Register xen platform.
Done register platform.
platform_fixed_ioport: changed ro/rw state of ROM memory area. now is rw state.
xs_read(device-model/24/xen_extended_power_mgmt): read error
xs_read(): vncpasswd get error. /vm/017f3863-7fd2-48f0-8be3-b945b90d37b2/vncpasswd.
Log-dirty: no command yet.
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
vcpu-set: watch node error.
[xenstore_process_vcpu_set_event]: /local/domain/24/cpu has no CPU!
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
xs_read(/local/domain/24/log-throttling): read error
qemu: ignoring not-understood drive `/local/domain/24/log-throttling'
medium change watch on `/local/domain/24/log-throttling' - unknown device, ignored
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
I/O request not ready: 0, ptr: 0, port: 0, data: 0, count: 0, size: 0
cirrus vga map change while on lfb mode
mapping vram to f0000000 - f0400000
platform_fixed_ioport: changed ro/rw state of ROM memory area. now is rw state.
platform_fixed_ioport: changed ro/rw state of ROM memory area. now is ro state.
Unknown PV product 3 loaded in guest
PV driver build 1
region type 1 at [c100,c200).
region type 0 at [f3001000,f3001100).
squash iomem [f3001000, f3001100).
reset requested in cpu_handle_ioreq.
Issued domain 24 reboot


[root@dhcp-9-56 ~]# cat /var/log/xen/xl-xen-hvm-7-3.log
Waiting for domain xen-hvm-7-3 (domid 23) to die [pid 13889]
Domain 23 has shut down, reason code 1 0x1
Action for shutdown reason code 1 is restart
Domain 23 needs to be cleaned up: destroying the domain
Done. Rebooting now
Waiting for domain xen-hvm-7-3 (domid 24) to die [pid 13889]
Domain 24 has shut down, reason code 1 0x1
Action for shutdown reason code 1 is restart
Domain 24 needs to be cleaned up: destroying the domain

5. The error also can be reproduced with on Fedora 23 and Fedora 24, 
check system log:
#journal -f

Fedora 25:

Jan 03 18:52:31 dhcp-9-56.nay.redhat.com systemd-coredump[2847]: Process 2566 (xl) of user 0 dumped core.
                                                                
                                                                 Stack trace of thread 2566:
                                                                 #0  0x00007fafd28029ad libxl__evdisable_disk_eject (libxenlight.so.4.7)
                                                                 #1  0x00007fafd2803422 libxl_evdisable_disk_eject (libxenlight.so.4.7)
                                                                 #2  0x0000000000409b1f evdisable_disk_ejects (xl)
                                                                 #3  0x0000000000412d57 create_domain (xl)
                                                                 #4  0x0000000000416943 main_create (xl)
                                                                 #5  0x0000000000408632 main (xl)
                                                                 #6  0x00007fafd1e0a601 __libc_start_main (libc.so.6)
                                                                 #7  0x0000000000408a0a _start (xl)
                                                                
                                                                 Stack trace of thread 2567:
                                                                 #0  0x00007fafd21c8b4d read (libpthread.so.0)
                                                                 #1  0x00007fafd15857f7 read_all.part.1.constprop.5 (libxenstore.so.3.0)
                                                                 #2  0x00007fafd1585892 read_message.constprop.3 (libxenstore.so.3.0)
                                                                 #3  0x00007fafd1585ad1 read_thread (libxenstore.so.3.0)
                                                                 #4  0x00007fafd21be7cd start_thread (libpthread.so.0)
                                                                 #5  0x00007fafd1ef69af __clone (libc.so.6)


Fedora 24:

Jan 03 17:53:15 dell-me03-pem610-05.lab.eng.pek2.redhat.com systemd-coredump[11173]: Process 10288 (xl) of user 0 dumped core.
                                                                                    
                                                                                     Stack trace of thread 10288:
                                                                                     #0  0x00007fc9a8216b9d libxl__evdisable_disk_eject (libxenlight.so.4.6)
                                                                                     #1  0x00007fc9a8217612 libxl_evdisable_disk_eject (libxenlight.so.4.6)
                                                                                     #2  0x00000000004091bf evdisable_disk_ejects (xl)
                                                                                     #3  0x0000000000411be8 create_domain (xl)
                                                                                     #4  0x0000000000414b9b main_create (xl)
                                                                                     #5  0x0000000000407bba main (xl)
                                                                                     #6  0x00007fc9a7801731 __libc_start_main (libc.so.6)
                                                                                     #7  0x0000000000407f89 _start (xl)
                                                                                    
                                                                                     Stack trace of thread 10289:
                                                                                     #0  0x00007fc9a7bb3d8d read (libpthread.so.0)
                                                                                     #1  0x00007fc9a73ae807 read_all.part.1.constprop.5 (libxenstore.so.3.0)
                                                                                     #2  0x00007fc9a73ae8a2 read_message.constprop.3 (libxenstore.so.3.0)
                                                                                     #3  0x00007fc9a73aeae1 read_thread (libxenstore.so.3.0)
                                                                                     #4  0x00007fc9a7bab5ba start_thread (libpthread.so.0)
                                                                                     #5  0x00007fc9a78e47cd __clone (libc.so.6)

Fedora 23:

Jan 03 18:33:34 dell-me03-pem610-06.lab.eng.pek2.redhat.com systemd-coredump[23412]: Process 22719 (xl) of user 0 dumped core.
                                                                                    
                                                                                     Stack trace of thread 22719:
                                                                                     #0  0x00007f1fe7ec00d0 libxl__evdisable_disk_eject (libxenlight.so.4.5)
                                                                                     #1  0x00007f1fe7ec0a84 libxl_evdisable_disk_eject (libxenlight.so.4.5)
                                                                                     #2  0x0000000000409589 evdisable_disk_ejects (xl)
                                                                                     #3  0x0000000000410c07 create_domain (xl)
                                                                                     #4  0x0000000000413dd0 main_create (xl)
                                                                                     #5  0x0000000000407c5b main (xl)
                                                                                     #6  0x00007f1fe74b2580 __libc_start_main (libc.so.6)
                                                                                     #7  0x0000000000406fe9 _start (xl)
                                                                                    
                                                                                     Stack trace of thread 22720:
                                                                                     #0  0x00007f1fe7862b4d read (libpthread.so.0)
                                                                                     #1  0x00007f1fe705d5fc read_all (libxenstore.so.3.0)
                                                                                     #2  0x00007f1fe705d6b4 read_message (libxenstore.so.3.0)
                                                                                     #3  0x00007f1fe705dea6 read_thread (libxenstore.so.3.0)
                                                                                     #4  0x00007f1fe785a60a start_thread (libpthread.so.0)
                                                                                     #5  0x00007f1fe7594bbd __clone (libc.so.6)

Comment 1 Fedora End Of Life 2017-11-16 19:50:03 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:51:25 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.